<?php

// 多語言判斷
if (Request::ajax() === false) {
	if (\Str::contains(Request::path(), 'admin')) {
		$suffix = BACK_DB_LANG;
	} else {
		$suffix = DB_LANG;
	}
} else {
	if (\Str::contains(Session::get('previous_url'), 'admin')) {
		$suffix = BACK_DB_LANG;
	} else {
		$suffix = DB_LANG;
	}
}

return [
	'config'   => 'contact',
	'table'    => 'contact' . $suffix,
	'folder'   => 'contact',
	'link_tag' => 'contact',

	'page_title' => '聯絡我們' . BACK_TITLE_CHAR,
	'col_title'  => '',

	'page_show'	 => 10,				 // 資料每頁顯示比數


	'legal_proof_table'     => 'contact_pics',
	'legal_proof_max_limit' => 1024 * 2,
	'legal_proof_mime'      => 'pdf,jpeg',
	//-------------驗證規則區-------------
	'rule' => [
		'company'      => 'required',
		'name'      => 'required',
		'tel'       => 'required',
		'email'     => 'required|email',
		'country'     => 'required',
		// 'unit'      => 'required',
		
		// 'job_title' => 'required',
		
		'subject'   => 'required',
		
		'info'      => 'required',
		 // 'validate' => 'required|in:'.Session::get('captcha'),
	],
	'rule_message' => [
		'company.required'      => '公司名稱 尚未填寫',
		'name.required'      => '姓名 尚未填寫',
		
		'tel.required'       => '電話 尚未填寫',
		'tel.numeric'        => '電話 請輸入數字',
		'email.required'   => 'email  尚未選擇',

		'email.email'   => 'email 格式錯誤',
		'country.required'   => '國家   尚未填寫',
		'subject.required'      => '詢問主題 尚未選擇',
		'info.required'      => '留言內容 尚未填寫',
	],
		# 多語言用法
	// 'rule_message' => [
	// 	// 'company.required'   => lang('contact.rule_message.company.required'),
	// 	'email.required'     => lang('contact.rule_message.email.required'),
	// 	'email.email'        => lang('contact.rule_message.email.format'),
	// 	// 'unit.required'      => lang('contact.rule_message.unit.required'),
	// 	'name.required'      => lang('contact.rule_message.name.required'),
	// 	// 'job_title.required' => lang('contact.rule_message.job_title.required'),
	// 	'tel.required'       => lang('contact.rule_message.tel.required'),
	// 	// 'tel.numeric'     => lang('contact.rule_message.tel.numeric'),
	// 	'city.required'   => '地區 尚未選擇',
	//     'get.required'   => '得知方式 尚未選擇',
	// 	'info.required'      => lang('contact.rule_message.info.required'),
	// 	 // 'validate.required' => '驗證碼 尚未填寫',
 //   //      'validate.in' 	   =>  '驗證碼 輸入錯誤',
	// ],
	//-------------------------------------
];