@extends('web.includes.layout')

@section('og-title', '| ' . lang('contact.title'))

@section('title', '| ' . lang('contact.title'))

@push('head')

<style>
    .g-recaptcha {
        display: inline-block;
    }
</style>

<script>
    $(function(){
        $('input[type="text"] , input[type="password"]').change(function(){
            if( $(this).val() != '' ) {
                $(this).siblings('.txt').addClass('active');
            } else {
                $(this).siblings('.txt').removeClass('active');
            }
        })
    })
</script>

@endpush

@section('main_id', 'contact')
@section('main')

<section class="contact-box pb-0">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-md-7">
                <div class="text-center">
                    <img src="{{ resources_path() }}_img/page/c-logo.png" alt="">
                </div>
            </div>
            <div class="col-md-5 info" id="contact-info">
                {!! lang('contact.contact-info') !!}
            </div>
        </div>
        <h3 class="main-title mt-5 text-center">{{ lang('contact.title') }}</h3>
        <div class="contact-form mb-5">

        <form action="" method="post" id="contact_form">
        @csrf

            <ul class="form">
                <li class="row2">
                    <label for="company" class="input">
                        <input type="text" id="company" name="company">
                        <span class="txt">{{ lang('contact.form.company') }}</span>
                    </label>
                    <label for="email" class="input">
                        <input type="text" id="email" name="email">
                        <span class="txt">{{ lang('contact.form.email') }}</span>
                    </label>
                </li>
                <li class="row2">
                    <label for="unit" class="input">
                        <input type="text" id="unit" name="unit">
                        <span class="txt">{{ lang('contact.form.unit') }}</span>
                    </label>
                    <label for="name" class="input">
                        <input type="text" id="name" name="name">
                        <span class="txt">{{ lang('contact.form.name') }}</span>
                    </label>
                </li>
                <li class="row2">
                    <label for="job_title" class="input">
                        <input type="text" id="job_title" name="job_title">
                        <span class="txt">{{ lang('contact.form.job_title') }}</span>
                    </label>
                    <label for="tel" class="input">
                        <input type="text" id="tel" name="tel">
                        <span class="txt">{{ lang('contact.form.tel') }}</span>
                    </label>
                </li>
                <li class="row1">
                    <label for="subject" class="input">
                        <input type="text" id="subject" name="subject">
                        <span class="txt">{{ lang('contact.form.subject') }}</span>
                    </label>
                </li>
                <li class="row1">
                    <label for="" class="textarea">
                        <textarea name="info" id="" cols="30" rows="10" placeholder="{{ lang('contact.form.info') }}"></textarea>
                    </label>
                </li>

                <li class="button-row">

                    {!! NoCaptcha::renderJs(lang('contact.form.NoCaptcha.lang')) !!}
                    {!! NoCaptcha::display() !!}

                    <br>

                    <button class="main-btn btn btn-outline-primary" onclick="validate('#contact_form', 'contact.rule', 'contact.rule_message', 'contact'); return false;">{{ lang('contact.form.send') }}</button>
                </li>
            </ul>

        </form>

        </div>

    </div>
    <div class="c-map">
{{--         <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3621.264307549439!2d121.02468601548178!3d24.820633284072763!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x346836fb43771f11%3A0x51fd25bc10b2348a!2zMzAy5paw56u557ij56u55YyX5biC5YWJ5piO5YWt6Lev5p2x5LiA5q61MjU16JmfMTU!5e0!3m2!1szh-TW!2stw!4v1559305938617!5m2!1szh-TW!2stw" width="100%" height="400" frameborder="0" style="border:0" allowfullscreen></iframe> --}}
        <iframe src="https://maps.google.com.tw/maps?f=q&hl={{ lang('contact.google-map.lang') }}&q=302新竹縣竹北市光明六路東一段255號&output=embed" width="100%" height="400" frameborder="0" style="border:0" allowfullscreen></iframe>
    </div>
</section>

@endsection