@extends('web.includes.layout')

@section('og-title', '| ' . lang('news.title'))

@section('title', '| ' . lang('news.title'))

@push('head')

@endpush

@section('main_id', 'news')
@section('main')

<section>
    <div class="container">
        <h3 class="main-title mb-4 text-center">{{ lang('news.title') }}</h3>
        <div class="mt-3 mb-5 text-center">

        @isset ($news_class_tree[0])
        @foreach ($news_class_tree[0] as $element)
            <a href="{{ url(Session::get('lang').'/news', ['level_1_class_id' => $element['id']]) }}" class="main-btn btn btn-outline-primary m-1 @if($element['id'] == $level_1_class_id)active @endif">{{ $element['name'] }}</a>
        @endforeach
        @endisset

        </div>

        <ul class="news-list box-2-mt">

        @foreach ($news as $element)
            <li>
                <div class="new">{{ $news_class[$element['class_id']]['name'] }}</div>
                <span class="date">{{ dateformat($element['date'], 'F d Y') }}</span>
                <div class="list-title">
                    <a href="{{ url(Session::get('lang').'/news', ['level_1_class_id' => $element['class_id'], 'id' => $element['id']]) }}">{{ $element['name'] }}</a>
                </div>
                <a href="{{ url(Session::get('lang').'/news', ['level_1_class_id' => $element['class_id'], 'id' => $element['id']]) }}"><i class="far fa-arrow-circle-right"></i></a>
            </li>
        @endforeach

        </ul>
        <!--pagination-->
        <nav class="pagination-container text-center">
            <ul class="pagination">

            @if ($news->lastPage() > 1)
                @if ($news->currentPage() > 1)
                    {{-- <a href="{{ $news->url($news->currentPage() - 1) }}" class="pre">上一頁</a> --}}
                @endif

                @for ($i = 1; $i <= $news->lastPage() ; $i++)
                    @if ($i == $news->currentPage())
                        <li class="active"><a href="javascript:;">{{ $i }}</a></li>
                    @else
                        <li><a href="{{ $news->url($i) }}">{{ $i }}</a></li>
                    @endif
                @endfor

                @if ($news->currentPage() < $news->lastPage())
                    {{-- <a href="{{ $news->url($news->currentPage() + 1) }}" class="next">下一頁</a> --}}
                @endif
            @endif

            </ul>
        </nav>
        <!---->
    </div>
</section>

@endsection